package Clutter::Install::Files;

$self = {
          'inc' => '-pthread -I/usr/include/clutter-1.0 -I/usr/include/cogl -I/usr/include/cairo -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/json-glib-1.0 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng15 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2   -I./build ',
          'typemaps' => [
                          'clutter-perl.typemap',
                          'clutter.typemap'
                        ],
          'deps' => [
                      'Pango',
                      'Glib',
                      'Cairo'
                    ],
          'libs' => '-pthread -lclutter-glx-1.0 -lcairo-gobject -latk-1.0 -lpangocairo-1.0 -lcogl-pango -ljson-glib-1.0 -lGL -lpangoft2-1.0 -lXi -lcairo -lcogl -lgdk_pixbuf-2.0 -ldrm -lX11 -lXext -lXdamage -lXcomposite -lgmodule-2.0 -lrt -lgio-2.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -lXfixes  '
        };


# this is for backwards compatiblity
@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Clutter/Install/Files.pm") {
			$CORE = $_ . "/Clutter/Install/";
			last;
		}
	}

1;
